using Consulenza.ReportWriter.Business;
using Consulenza.ReportWriter.Business.OBJ_PDF;
using Consulenza.ReportWriter.Business.CUSTOM_PDF.ConsulenzaUnica;
using Consulenza.ReportCommon;

namespace Consulenza.ReportWriter.Manager.Chapter.Unica
{
    /// <summary>
    /// S71.MonitoraggioEvoluzionePatrimonioERischio idCapitolo = 89
    /// </summary>
    public class S71 : Entity.Chapter
    {       
        public S71(EnvironmentFacade environmentFacade, int idChapter)
            : base(environmentFacade, idChapter)
        {
            Draw();
        }

        public S71(EnvironmentFacade environmentFacade, int idChapter, bool repeatoneachpage)
            : this(environmentFacade, idChapter)
        {
            RepeatOnEachPage = repeatoneachpage;
        }

        protected override sealed void Draw()
        {
            // Aggiungo la pagina
            AddElement(new PagePDF(PagePDF.PagePDFType.Generic));

            var testi = GetText();

            var intestazione = new ChapterHeadingPDF(
                testi.Rows[0]["testo1"].ToString(),
               // Helper.ReplaceVariables(testi.Rows[0]["testo2"].ToString(), EnvironmentFacade.ReportEnvironment),
                EnvironmentFacade.RendererFacade.XLeftLimit,
                EnvironmentFacade.RendererFacade.YUpperLimit,
                EnvironmentFacade.ReportEnvironment.FontFamily);

            // Aggiungo gli elementi
            AddElement(intestazione.ToElement());
        }
    }
}
